

// Name
//===================================
//
// CollectGoal
//


// DEPENDENCIES
//===================================

    #include "collect_goal.h"
    #include "event_system.h"
    #include "inventory.h"
    #include <sstream>


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    CollectGoal::CollectGoal( int num )
    :
        num_ ( num )
    {};

    CollectGoal::~CollectGoal() {};

    void CollectGoal::update( Inventory& inventory, EventSystem& events )
    {
        if ( inventory.funds() >= num_ )
            events.won_ = true;
    };

    std::string CollectGoal::message()
    {
        std::ostringstream oss;
        oss << "¡Collect " << num_ << " gems!";

        return oss.str();
    };
