




// Name
//===================================
//
// Inventory
//


// DEPENDENCIES
//===================================

    #include "inventory.h"
    #include <iostream>


// STATIC PROPERTIES
//===================================

// METHODS
//===================================

    Inventory::Inventory
    (
    )
    {};

    Inventory::~Inventory() {};

    void Inventory::reset()
    {
        hearts_ = HEARTS_MAX;
        funds_ = 0;
    };

    void Inventory::render( Graphics& graphics )
    {
        gem_icon_gfx_.render( graphics, gem_icon_pos_, nullptr );

        for ( int i = 0; i < hearts_; ++i )
        {
            heart_icon_gfx_.render( graphics, heart_icon_pos_, nullptr );
            heart_icon_pos_.x += 16;
        }

        heart_icon_pos_.x = 64;

        funds_string_.renderNumber( graphics, funds_, 3, nullptr, Text::FontShade::DARK_GRAY );
    };

    void Inventory::addFunds( int n )
    {
        funds_ += n;
    };

    int Inventory::funds() const
    {
        return funds_;
    };

    void Inventory::loseHeart( int n )
    {
        hearts_ -= n;
    };

    int Inventory::hearts() const
    {
        return hearts_;
    };
