



// Name
//===================================
//
// Warp
//

#ifndef WARP_H
#define WARP_H


// FORWARD DECLARATIONS
//===================================


// DEPENDENCIES
//===================================

    #include "direction.h"


// CLASS
//===================================

    class Warp
    {
        public:
            Warp
            (
                int map_num,
                int entrance_x,
                int entrance_y,
                int camera_x = -1,
                int camera_y = -1
            );
            ~Warp();

            int mapNum() const;
            int entranceX() const;
            int entranceY() const;
            int cameraX() const;
            int cameraY() const;
            Direction::Horizontal direction() const;

        private:
            const int map_num_ = 0;
            const int entrance_x_ = 0;
            const int entrance_y_ = 0;
            const Direction::Horizontal direction_ = Direction::Horizontal::__NULL;
            const int camera_x_ = -1;
            const int camera_y_ = -1;
    };

#endif // WARP_H
